org.bdgenomics.cannoli.builder

## Class LocalBuilder

- java.lang.Object
- - org.bdgenomics.cannoli.builder.CommandBuilder
  - - org.bdgenomics.cannoli.builder.LocalBuilder

All Implemented Interfaces:
  Serializable

    public final class LocalBuilder
    extends CommandBuilder

Local command builder.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LocalBuilder()` Create a new local command builder.
`LocalBuilder(String executable)` Create a new local command builder with the specified executable.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `build()` Build and return the command for this command builder as a list of strings.

### Methods inherited from class org.bdgenomics.cannoli.builder.CommandBuilder

`add, add, addArgument, addArguments, addArguments, addEnvironment, addEnvironment, addFile, addFiles, addFiles, addMount, addMount, addMounts, getArguments, getEnvironment, getExecutable, getFiles, getFlankSize, getImage, getMounts, getOptFlankSize, getOptTimeout, getSudo, getTimeout, isSudo, reset, setExecutable, setFlankSize, setImage, setSudo, setTimeout, setTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalBuilder

    public LocalBuilder()

Create a new local command builder.

#### LocalBuilder

    public LocalBuilder(String executable)

Create a new local command builder with the specified executable.

Parameters:
  `executable` - executable, must not be null

### Method Detail

#### build

    public final List<String> build()

Description copied from class: `CommandBuilder`
Build and return the command for this command builder as a list of strings.

Specified by:
  `build` in class `CommandBuilder`
Returns:
  the command for this command builder as a list of strings.